//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
#include "altfhook\MyHookDll.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
UINT uiKeyHookMsg = 0;

__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
   uiKeyHookMsg = GetHookMsg();
}

void __fastcall TForm1::CreateWnd()
{
   TForm::CreateWnd();
   if( HandleAllocated() )
      SetHook( Handle );
}

void __fastcall TForm1::DestroyWnd()
{
   RemoveHook();
   TForm::DestroyWnd();
}

void __fastcall TForm1::Button1Click(TObject *Sender)
{
   SetHook( Handle );
}
void __fastcall TForm1::Button2Click(TObject *Sender)
{
   RemoveHook();
}

void __fastcall TForm1::WndProc( TMessage &Message )
{
   if ( ( Message.Msg == uiKeyHookMsg ) && ( uiKeyHookMsg != 0 ) )
   {
      char Key[80] = {0};
      if ( GetKeyNameText( Message.LParam, Key, 80 ) )
      {
         if( StrComp ( Key, "F12" ) == 0 )
            ShowMessage( "F12" );
      }
   }
   else
   {
      TForm::WndProc(Message);
   }
}



